Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045071
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Gift cards and gift vouchersmajoralways2020-09-16 14:302020-09-29 14:54
ReportermaiteView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045071: Gift Card consumed but not pointing to any sales order, when cashup asks to delete pending tickets

DescriptionCash up process will ask to delete pending tickets in case they exists. In case this pending ticket has a gift card payment added, the gift card amount will be consumed and a gift card transaction will be created without pointing to any sales order
Steps To Reproduce1. Log in the terminal. Add any product. Press on Checkout and select More and Gift Card as payment method. Use available gift card and not finish the ticket
2. Lock screen (at this point is when the gift card transaction is created)
3. Log in again and run Cash up process and press "Delete all" when it asks to delete the previous ticket. Finish cashup steps
4. Access backoffice, go to Gift Card Instance window and realize that a gift card transaction has been created without sales order associated
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0123454)
hgbot (developer)
2020-09-29 14:54

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/26 [^]

- Issue History
Date Modified Username Field Change
2020-09-16 14:30 maite New Issue
2020-09-16 14:30 maite Assigned To => Retail
2020-09-16 14:30 maite Triggers an Emergency Pack => No
2020-09-16 14:32 maite Steps to Reproduce Updated View Revisions
2020-09-28 06:56 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-09-28 11:11 ranjith_qualiantech_com Status new => scheduled
2020-09-29 14:54 hgbot Note Added: 0123454


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker